Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content
Class NoSuchPropertyChoiceException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.content.RepositoryException
                  com.bea.content.NoSuchPropertyChoiceException

All Implemented Interfaces
  Serializable

    public class NoSuchPropertyChoiceException

extends RepositoryException

Thrown if an operation on a PropertyChoice that does not exist occurs.

See Also
  Serialized Form

Constructor Summary
`NoSuchPropertyChoiceException(String message)`
`NoSuchPropertyChoiceException(String message, Throwable cause)`
`NoSuchPropertyChoiceException(String message, Throwable cause, boolean log)`
`NoSuchPropertyChoiceException(Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoSuchPropertyChoiceException

    public NoSuchPropertyChoiceException(String message)

### NoSuchPropertyChoiceException

    public NoSuchPropertyChoiceException(String message,
                                         Throwable cause)

### NoSuchPropertyChoiceException

    public NoSuchPropertyChoiceException(Throwable cause)

### NoSuchPropertyChoiceException

    public NoSuchPropertyChoiceException(String message,
                                         Throwable cause,
                                         boolean log)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.